create sequence "uid_seq" start 100000;

create table "program" (
    "id" integer not null default nextval('uid_seq'),
    "number" text,
    "start" timestamp,
    "finish" timestamp,
    "is_approved" bool not null default 'false',
    "is_live" bool not null default 'false',
    "discussion_opened" bool not null default 'false',
    "title" text not null,
    "proposer" text,
    "description" text,
    primary key("id")
);

create table "users" (
    "id" integer not null default nextval('uid_seq'),
    "uuid" varchar(36) not null,
    "is_active" bool not null default 'true',
    "username" text,
    "secret" text,
    "name" text,
    "main_group_name" text,
    "keepalive" timestamp,
    "banned_until" timestamp,
    primary key("id"),
    unique("uuid")
);
